Ticket #343 (closed defect: fixed)
bootstrap requires `wget`
| Reported by: | jsnx | Owned by: | |
|---|---|---|---|
| Priority: | normal | Milestone: | |
| Component: | cabal-install tool | Version: | HEAD |
| Severity: | normal | Keywords: | |
| Cc: | Difficulty: | normal | |
| GHC Version: | 6.8.3 | Platform: |
Description
...and I don't have wget :(
--- bootstrap.sh.old 2008-08-26 15:49:15.000000000 -0700
+++ bootstrap.sh 2008-08-26 15:52:00.000000000 -0700
@@ -15,7 +15,18 @@
HTTP_URL=${HACKAGE_URL}/HTTP/${HTTP_VER}/HTTP-${HTTP_VER}.tar.gz
ZLIB_URL=${HACKAGE_URL}/zlib/${ZLIB_VER}/zlib-${ZLIB_VER}.tar.gz
-wget ${CABAL_URL} ${HTTP_URL} ${ZLIB_URL}
+case `which wget curl` in
+ *curl)
+ curl -O ${CABAL_URL} -O ${HTTP_URL} -O ${ZLIB_URL}
+ ;;
+ *wget)
+ wget ${CABAL_URL} ${HTTP_URL} ${ZLIB_URL}
+ ;;
+ *)
+ echo "failed to find a downloader" >&2
+ exit 2
+ ;;
+esac
tar -zxf Cabal-${CABAL_VER}.tar.gz
pushd Cabal-${CABAL_VER}
Change History
Note: See
TracTickets for help on using
tickets.
